## hyphen-gu 0.5.5

=== Makefile ===
# Hyphenation Makefile
# Copyright (C) 2011-2013 Shravan Aras <123.shravan@gmail.com>
# Copyright (C) 2008-2010 Santhosh Thottingal <santhosh.thottingal@gmail.com>
#
#  This library is free software; you can redistribute it and/or
#  modify it under the terms of the GNU Lesser General Public
#  License as published by the Free Software Foundation;
#  version 3 or later version of the License.
#
#  This library is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#  Lesser General Public License for more details.
#
#  You should have received a copy of the GNU Lesser General Public
#  License along with this library; if not, write to the Free Software
#  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307  USA

DESTDIR = 
hyphdir = /usr/share/hyphen/
dictdir = /usr/share/myspell/dicts/
ooo_info_dir = /usr/share/myspell/infos/ooo/
docdir = /usr/share/doc/openoffice.org-hyphenation-gu/


dict_files = hyph_gu_IN.dic
doc_files = README ChangeLog
extra_files = Makefile
ooo_info_file = openoffice.org-hyphenation-gu
version = 0.5.5

distdir=hyphen-gu_${version}

all: ${doc_files} ${dict_files}

install: all
	mkdir -p ${DESTDIR}${ooo_info_dir}
	cp ${ooo_info_file}  ${DESTDIR}${ooo_info_dir}
	mkdir -p ${DESTDIR}${docdir}
	cp ${doc_files} ${DESTDIR}${docdir}
	mkdir -p ${DESTDIR}${hyphdir}
	cp ${dict_files} ${DESTDIR}${hyphdir}
	chmod 644 ${DESTDIR}${hyphdir}${dict_files}	
	mkdir -p ${DESTDIR}${dictdir}
	ln -s ${DESTDIR}${hyphdir}${dict_files} ${DESTDIR}${dictdir}${dict_files}
	update-openoffice-dicts 
	
	
uninstall:
	-cd ${DESTDIR}${dictdir}/ && rm ${dict_files}
	-cd ${DESTDIR}${docdir}/ && rm ${doc_files}
	-cd ${DESTDIR}${ooo_info_dir}/ && rm ${ooo_info_file}
	-cd ${DESTDIR}${hyphdir}/ && rm ${dict_files}
	
clean:
	-rm -rf ${distdir}.tar.bz2 ${distdir}	
	
dist:
	-rm -rf ${distdir}.tar.bz2 ${distdir}
	mkdir ${distdir}
	cp -p ${dict_files}  ${doc_files} ${ooo_info_file}  ${extra_files} ${distdir}/
	tar cf ${distdir}.tar ${distdir}/
	bzip2 -9 ${distdir}.tar
	rm -rf ${distdir}/

## hyphen-gu 0.6.0

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Hyphenation Makefile
-# Copyright (C) 2011-2013 Shravan Aras <123.shravan@gmail.com>
+# Copyright (C) 2009-2011 Shravan Aras <123.shravan@gmail.com>
 # Copyright (C) 2008-2010 Santhosh Thottingal <santhosh.thottingal@gmail.com>
 #
 #  This library is free software; you can redistribute it and/or
@@ -20,16 +20,16 @@
 hyphdir = /usr/share/hyphen/
 dictdir = /usr/share/myspell/dicts/
 ooo_info_dir = /usr/share/myspell/infos/ooo/
-docdir = /usr/share/doc/openoffice.org-hyphenation-gu/
+docdir = /usr/share/doc/hyphen-gu/
 
 
 dict_files = hyph_gu_IN.dic
 doc_files = README ChangeLog
 extra_files = Makefile
 ooo_info_file = openoffice.org-hyphenation-gu
-version = 0.5.5
+version = 0.6.0
 
-distdir=hyphen-gu_${version}
+distdir=hyphen-gu-${version}
 
 all: ${doc_files} ${dict_files}
 
@@ -42,8 +42,8 @@
 	cp ${dict_files} ${DESTDIR}${hyphdir}
 	chmod 644 ${DESTDIR}${hyphdir}${dict_files}	
 	mkdir -p ${DESTDIR}${dictdir}
-	ln -s ${DESTDIR}${hyphdir}${dict_files} ${DESTDIR}${dictdir}${dict_files}
-	update-openoffice-dicts 
+	ln -s ${hyphdir}${dict_files} ${DESTDIR}${dictdir}${dict_files}
+	/usr/sbin/update-openoffice-dicts 
 	
 	
 uninstall:

=== debian/changelog ===
hyphen-gu (0.6.0-2) unstable; urgency=low

  [ Kartik Mistry ]
  * debian/copyright:
    + Corrected upstream license text to LGPL-3
  * debian/control:
    + Set Maintainer to Debian-IN team, AbdulKarim as Uploaders
    + Wrap up Build-Depends, Depends

 -- Debian-IN Team <debian-in-workers@lists.alioth.debian.org>  Tue, 23 Aug 2011 11:09:35 +0530

hyphen-gu (0.6.0-1) unstable; urgency=low

  * Initial release (Closes: #542239)

 -- AbdulKarim Memon <abdulkarimmemon@gmail.com>  Wed, 17 Aug 2011 23:35:51 +0530

## hyphen-gu 0.7.0

=== Makefile ===
--- 
+++ 
@@ -27,7 +27,7 @@
 doc_files = README ChangeLog
 extra_files = Makefile
 ooo_info_file = openoffice.org-hyphenation-gu
-version = 0.6.0
+version = 0.7.0
 
 distdir=hyphen-gu-${version}
 
@@ -43,8 +43,6 @@
 	chmod 644 ${DESTDIR}${hyphdir}${dict_files}	
 	mkdir -p ${DESTDIR}${dictdir}
 	ln -s ${hyphdir}${dict_files} ${DESTDIR}${dictdir}${dict_files}
-	/usr/sbin/update-openoffice-dicts 
-	
 	
 uninstall:
 	-cd ${DESTDIR}${dictdir}/ && rm ${dict_files}

=== debian/changelog ===
hyphen-gu (0.7.0-2) unstable; urgency=low

  [Kartik Mistry]
  * debian/control:
    + Fixed Vcs-* fields.
    + Removed openoffice.org-updatedicts from Build-Depends, Depends fields.
    + Recommends: libreoffice-writer | openoffice.org-writer now.
  * debian/rules:
    + Rename usr/share/myspell/infos/ooo/openoffice.org-hyphenation-gu to
      usr/share/myspell/infos/ooo/hyphen-gu.

 -- Debian-IN Team <debian-in-workers@lists.alioth.debian.org>  Sat, 17 Dec 2011 21:14:15 +0530

hyphen-gu (0.7.0-1) unstable; urgency=low

  [Kartik Mistry]
  * New upstream release:
    + Fixed FTBFS due to missing /usr/sbin/update-openoffice-dicts
      (Closes: #652186)
  * debian/copyright:
    + Fixed format to DEP-5.

 -- Debian-IN Team <debian-in-workers@lists.alioth.debian.org>  Fri, 16 Dec 2011 09:42:04 +0530

=== debian/control ===
Source: hyphen-gu
Section: text
Priority: optional
Maintainer: Debian-IN Team <debian-in-workers@lists.alioth.debian.org>
Uploaders: AbdulKarim Memon <abdulkarimmemon@gmail.com>
Build-Depends: debhelper (>= 7.0.50~),
               dictionaries-common (>= 0.10)
Standards-Version: 3.9.2
Homepage: http://wiki.smc.org.in/Hyphenation
Vcs-Git: git://git.debian.org/debian-in/hyphen-gu.git
Vcs-Browser: http://git.debian.org/?p=debian-in/hyphen-gu.git;a=summary

Package: hyphen-gu
Architecture: all
Depends: ${misc:Depends},
         dictionaries-common (>= 0.10)
Recommends: libreoffice-writer | openoffice.org-writer
Description: Gujarati hyphenation patterns for OpenOffice.org/LibreOffice
 Hyphenation is the process of inserting hyphens in between the syllables of
 a word so that when the text is justified, maximum space is utilized.
 .
 This package provides the hyphenation rules for Gujarati language.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_install:
	rm debian/hyphen-gu/usr/share/doc/hyphen-gu/ChangeLog
	mv debian/hyphen-gu/usr/share/myspell/infos/ooo/openoffice.org-hyphenation-gu \
	   debian/hyphen-gu/usr/share/myspell/infos/ooo/hyphen-gu

=== debian/watch ===
version=3
http://download.savannah.gnu.org/releases/smc/hyphenation/patterns/hyphen-gu-(.*)\.tar\.bz2 debian uupdate
